Subject: Re: DLL naming conventions
From: "David A. Cobb" <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked]
Date: Tue, 05 Sep 2000 17:51:49 -0400

Robert Collins wrote:

> There a path trick used in system integration on *metaframe/ NT Terminal
> Server* machines to keep dll hell to a minimum - I just remembered it...
>
> adding (windows path format) .\bin;..\bin;..\..\bin; to the front if your
> path allowed different applications to find different versions of dlls with
> the same name, the installer just moved the customised .dll to the farthest
> point in the path that did cause issues...
>
> maybe a similar trick could help? Although it doesn't get round the
> in-mmeory issue for win9x/nt 4.0 workstation & server
>

And I responded enthusiastically, at first glance.  However, having "./" at
the front of the $PATH is also a well-known security trapdoor:  User enters name
of a "system" script X which uses command Y; user replaces Y with a script in
her local directory; Y runs in a context (say su) where it can do some damage.
--
David A. Cobb, Software Engineer, Public Access Advocate
"Don't buy or use crappy software"
"By the grace of God I am a Christian man,
 by my actions a great sinner" -- The Way of a Pilgrim [R. M. French, tr.]

--
Want to unsubscribe from this list?
Send a message to [email-masked]